summaryrefslogtreecommitdiff
path: root/.local/bin/mpdup
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/mpdup')
-rwxr-xr-x.local/bin/mpdup8
1 files changed, 8 insertions, 0 deletions
diff --git a/.local/bin/mpdup b/.local/bin/mpdup
new file mode 100755
index 0000000..af81a7d
--- /dev/null
+++ b/.local/bin/mpdup
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+# This loop will update the mpd statusbar module whenever a command changes the
+# music player's status. mpd must be running on X's start for this to work.
+
+while : ; do
+ mpc idle >/dev/null && kill -45 "$(pidof "${STATUSBAR:-dwmblocks}")" || break
+done